I'm unable to install edge 79 stable on windows 10 version 1803

%3CLINGO-SUB%20id%3D%22lingo-sub-1155448%22%20slang%3D%22en-US%22%3EI'm%20unable%20to%20install%20edge%2079%20stable%20on%20windows%2010%20version%201803%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1155448%22%20slang%3D%22en-US%22%3E%3CP%3EWhenever%20I%20try%20to%20install%20edge%20it%20shows%20the%20following%20popup%2C%20Microsoft%20Edge%20works%20best%20with%20the%20latest%20Windows%20Update.%20I%20even%20installed%20all%20updated%20pertaining%20to%201803%20but%20it's%20still%20showing%20me%20below%20popup%3C%2FP%3E%3CP%3E%3CSPAN%20class%3D%22lia-inline-image-display-wrapper%20lia-image-align-inline%22%20image-alt%3D%22Screenshot%202020-02-06%20at%203.20.21%20PM.png%22%20style%3D%22width%3A%20999px%3B%22%3E%3CIMG%20src%3D%22https%3A%2F%2Fgxcuf89792.i.lithium.com%2Ft5%2Fimage%2Fserverpage%2Fimage-id%2F169382i15A49258DFAFE1ED%2Fimage-size%2Flarge%3Fv%3D1.0%26amp%3Bpx%3D999%22%20title%3D%22Screenshot%202020-02-06%20at%203.20.21%20PM.png%22%20alt%3D%22Error%20Message%22%20%2F%3E%3CSPAN%20class%3D%22lia-inline-image-caption%22%20onclick%3D%22event.preventDefault()%3B%22%3EError%20Message%3C%2FSPAN%3E%3C%2FSPAN%3E%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1155501%22%20slang%3D%22en-US%22%3ERe%3A%20I'm%20unable%20to%20install%20edge%2079%20stable%20on%20windows%2010%20version%201803%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1155501%22%20slang%3D%22en-US%22%3E%3CP%3EHi%2C%3CBR%20%2F%3E1803%20is%20too%20old%2C%20support%20ended%20November%2012%2C%202019%3CBR%20%2F%3ESource%3A%3CBR%20%2F%3E%3CA%20href%3D%22https%3A%2F%2Fsupport.microsoft.com%2Fen-us%2Fhelp%2F13853%2Fwindows-lifecycle-fact-sheet%22%20target%3D%22_blank%22%20rel%3D%22noopener%20noreferrer%22%3Ehttps%3A%2F%2Fsupport.microsoft.com%2Fen-us%2Fhelp%2F13853%2Fwindows-lifecycle-fact-sheet%3C%2FA%3E%3CBR%20%2F%3E%3CBR%20%2F%3Ealways%20use%20the%20latest%20versions%20(1909)%2C%20you%20can%20get%20it%20from%20here%3A%3CBR%20%2F%3E%3CA%20href%3D%22https%3A%2F%2Fwww.microsoft.com%2Fen-us%2Fsoftware-download%2Fwindows10%22%20target%3D%22_blank%22%20rel%3D%22noopener%20noreferrer%22%3Ehttps%3A%2F%2Fwww.microsoft.com%2Fen-us%2Fsoftware-download%2Fwindows10%3C%2FA%3E%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1155561%22%20slang%3D%22en-US%22%3ERe%3A%20I'm%20unable%20to%20install%20edge%2079%20stable%20on%20windows%2010%20version%201803%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1155561%22%20slang%3D%22en-US%22%3E%3CP%3ECan%20you%20suggest%20some%20workaround%20which%20doesn't%20involve%20updating%20the%20machine%3F%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1155581%22%20slang%3D%22en-US%22%3ERe%3A%20I'm%20unable%20to%20install%20edge%2079%20stable%20on%20windows%2010%20version%201803%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1155581%22%20slang%3D%22en-US%22%3ESorry%20nothing%20comes%20to%20my%20mind%20at%20the%20moment%2C%20is%20there%20any%20reason%20preventing%20you%20from%20updating%3F%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1157637%22%20slang%3D%22en-US%22%3ERe%3A%20I'm%20unable%20to%20install%20edge%2079%20stable%20on%20windows%2010%20version%201803%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1157637%22%20slang%3D%22en-US%22%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F547326%22%20target%3D%22_blank%22%3E%40pratik_nalage%3C%2FA%3E%26nbsp%3B%3C%2FP%3E%3CP%3ETry%20adding%20this%20registry%20key%20before%20installing%20Edge%3C%2FP%3E%3CPRE%20class%3D%22lia-code-sample%20language-markup%22%3E%3CCODE%3EWindows%20Registry%20Editor%20Version%205.00%0A%0A%5BHKEY_LOCAL_MACHINE%5CSOFTWARE%5CMicrosoft%5CEdgeUpdateDev%5D%0A%22CanContinueWithMissingUpdate%22%3Ddword%3A00000001%3C%2FCODE%3E%3C%2FPRE%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1158017%22%20slang%3D%22en-US%22%3ERe%3A%20I'm%20unable%20to%20install%20edge%2079%20stable%20on%20windows%2010%20version%201803%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1158017%22%20slang%3D%22en-US%22%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F306569%22%20target%3D%22_blank%22%3E%40abbodi1406%3C%2FA%3E%26nbsp%3B%20Tried%20but%2C%20I'm%20unable%20to%20install%20Stable.%20However%2C%20when%20I%20try%20to%20install%20Beta%20or%20Dev%20it%20gets%20installed%20without%20even%20the%20need%20to%20add%20that%20reg%20key.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1158369%22%20slang%3D%22en-US%22%3ERe%3A%20I'm%20unable%20to%20install%20edge%2079%20stable%20on%20windows%2010%20version%201803%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1158369%22%20slang%3D%22en-US%22%3ESo%20you%20can%20either%20update%20your%20Windows%2010%20or%20use%20non-stable%20builds%20of%20Edge%20browser%2C%20aka%20insiders.%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1383593%22%20slang%3D%22en-US%22%3ERe%3A%20I'm%20unable%20to%20install%20edge%2079%20stable%20on%20windows%2010%20version%201803%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1383593%22%20slang%3D%22en-US%22%3EThat%E2%80%99s%20nonsense%2C%20support%20for%201803%20is%20until%20November%202020%20for%20enterprise%3C%2FLINGO-BODY%3E
New Contributor

Whenever I try to install edge it shows the following popup, Microsoft Edge works best with the latest Windows Update. I even installed all updated pertaining to 1803 but it's still showing me below popup

Error MessageError Message

7 Replies

Hi,
1803 is too old, support ended November 12, 2019
Source:
https://support.microsoft.com/en-us/help/13853/windows-lifecycle-fact-sheet

always use the latest versions (1909), you can get it from here:
https://www.microsoft.com/en-us/software-download/windows10

Can you suggest some workaround which doesn't involve updating the machine?

Sorry nothing comes to my mind at the moment, is there any reason preventing you from updating?

@pratik_nalage 

Try adding this registry key before installing Edge

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\EdgeUpdateDev]
"CanContinueWithMissingUpdate"=dword:00000001

@abbodi1406  Tried but, I'm unable to install Stable. However, when I try to install Beta or Dev it gets installed without even the need to add that reg key.

So you can either update your Windows 10 or use non-stable builds of Edge browser, aka insiders.
That’s nonsense, support for 1803 is until November 2020 for enterprise